TmetaBasic Namespace Reference

## Classes

struct | Identity

## Functions

| TEST (TmetaBasic, IntegrealType)
| TEST (TmetaBasic, IntegrealConstant)
| TEST (TmetaBasic, BasicTypes)
| TEST (TmetaBasic, Selection)
| TEST (TmetaBasic, LogicalOperations)
| TEST (TmetaBasic, ArithmeticOperations)
| TEST (TmetaBasic, ComparisonOperations)
| TEST (TmetaBasic, BitOperations)
template<typename T , typename = when<same_<T, int>::type::value>>
int | check1 (T x)
int | check1 (...)
template<typename T , typename = enable_if_t<same_<T, int>::type::value, void>>
int | check2 (T x)
int | check2 (...)
| TEST (TmetaBasic, Sfinae)

## Function Documentation

## check1() [1/2]

template<typename T , typename = when<same_<T, int>::type::value>>

int TmetaBasic::check1 | ( | T | x | ) |

Definition at line 222 of file TmetaBasic.cpp.

## check1() [2/2]

int TmetaBasic::check1 | ( |  | ... | ) |

Definition at line 223 of file TmetaBasic.cpp.

## check2() [1/2]

template<typename T , typename = enable_if_t<same_<T, int>::type::value, void>>

int TmetaBasic::check2 | ( | T | x | ) |

Definition at line 226 of file TmetaBasic.cpp.

## check2() [2/2]

int TmetaBasic::check2 | ( |  | ... | ) |

Definition at line 227 of file TmetaBasic.cpp.

## TEST() [1/9]

TmetaBasic::TEST | ( | TmetaBasic | ,
|  | IntegrealType |
| ) |  |

Definition at line 39 of file TmetaBasic.cpp.

## TEST() [2/9]

TmetaBasic::TEST | ( | TmetaBasic | ,
|  | IntegrealConstant |
| ) |  |

Definition at line 45 of file TmetaBasic.cpp.

## TEST() [3/9]

TmetaBasic::TEST | ( | TmetaBasic | ,
|  | BasicTypes |
| ) |  |

Definition at line 51 of file TmetaBasic.cpp.

## TEST() [4/9]

TmetaBasic::TEST | ( | TmetaBasic | ,
|  | Selection |
| ) |  |

Definition at line 92 of file TmetaBasic.cpp.

## TEST() [5/9]

TmetaBasic::TEST | ( | TmetaBasic | ,
|  | LogicalOperations |
| ) |  |

Definition at line 112 of file TmetaBasic.cpp.

## TEST() [6/9]

TmetaBasic::TEST | ( | TmetaBasic | ,
|  | ArithmeticOperations |
| ) |  |

Definition at line 152 of file TmetaBasic.cpp.

## TEST() [7/9]

TmetaBasic::TEST | ( | TmetaBasic | ,
|  | ComparisonOperations |
| ) |  |

Definition at line 166 of file TmetaBasic.cpp.

## TEST() [8/9]

TmetaBasic::TEST | ( | TmetaBasic | ,
|  | BitOperations |
| ) |  |

Definition at line 201 of file TmetaBasic.cpp.

## TEST() [9/9]

TmetaBasic::TEST | ( | TmetaBasic | ,
|  | Sfinae |
| ) |  |

Definition at line 229 of file TmetaBasic.cpp.